<template>
  <div class="row">
    <div class="col-12 mb-3">
      <button
        type="button"
        title="Close"
        class="btn-close"
        aria-label="Close"
        @click="$emit('closeUser')"
      ></button>
    </div>
    <div class="col-12">
      <h1 v-text="user.name"></h1>
      <h4>Роли:</h4>
      <Multiselect
        mode="tags"
        :options="roles"
        v-model="user.roles"
        :disabled="isChanges"
        @change="$emit('onHandleChange', $event)"
      />
    </div>
  </div>
</template>
<script>
import Multiselect from "@vueform/multiselect";
import "@vueform/multiselect/themes/default.css";
export default {
  name: "UserComponent",
  data() {
    return {
      value: null,
      options: ["Batman", "Robin", "Joker"],
    };
  },
  props: {
    user: {
      type: Object,
      required: true,
    },
    roles: {
      type: Array,
      required: true,
    },
    isChanges: {
      type: Boolean,
      required: false,
    },
  },
  components: {
    Multiselect,
  },
  emits: ["closeUser", "onHandleChange"],
};
</script>